# Gimp.VectorLoadProcedure

    const Gimp = imports.gi.Gimp;

    let vectorLoadProcedure = new Gimp.VectorLoadProcedure();

A [class@Procedure] subclass that makes it easier to write load procedures for vector image formats.

It automatically adds the standard arguments: ([enum@RunMode], [iface@Gio.File], int width, int height)

and the standard return value: ( [class@Image] )

It is possible to add additional arguments.

When invoked via [method@Procedure.run], it unpacks these standard arguments and calls @run_func which is a [callback@RunImageFunc]. The [class@ProcedureConfig] of [callback@Gimp.RunVectorLoadFunc] contains additionally added arguments but also the arguments added by this class.

## Hierarchy

- GObject.Object
  - Gimp.Procedure
    - Gimp.FileProcedure
      - Gimp.LoadProcedure
        - Gimp.VectorLoadProcedure

## Constructors

- Gimp.VectorLoadProcedure.new

## Methods

- Gimp.VectorLoadProcedure.prototype.extract_dimensions